Vector::BLF::VarObjectHeader(3)

NAME
Vector::BLF::VarObjectHeader - Extended base object header type definition with dynamic extendible objects.

SYNOPSIS

#include <VarObjectHeader.h>

Inherits Vector::BLF::ObjectHeaderBase.

  Public Types
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

  Public Member Functions
VarObjectHeader (const ObjectType objectType)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t objectStaticSize {}
size of the static part of the object
uint16_t objectVersion {}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

Detailed Description

Extended base object header type definition with dynamic extendible objects.

Member Enumeration Documentation

  enum Vector::BLF::VarObjectHeader::ObjectFlags : uint32_t
enumeration for objectFlags

Enumerator

TimeTenMics
    10 micro second timestamp Object time stamp is saved as multiple of ten microseconds. (BL_OBJ_FLAG_TIME_TEN_MICS)

TimeOneNans
    1 nano second timestamp Object time stamp is saved in nanoseconds. (BL_OBJ_FLAG_TIME_ONE_NANS)

Member Function Documentation

  uint16_t Vector::BLF::VarObjectHeader::calculateHeaderSize () const [override], [virtual]
Calculates the headerSize

Returns
    header size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  uint32_t Vector::BLF::VarObjectHeader::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::VarObjectHeader::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::VarObjectHeader::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint32_t Vector::BLF::VarObjectHeader::objectFlags {ObjectFlags::TimeOneNans}

object flags Unit of object timestamp.

  uint64_t Vector::BLF::VarObjectHeader::objectTimeStamp {}

object timestamp Time stamp of this object in the unit specified in objectFlags.

  uint16_t Vector::BLF::VarObjectHeader::objectVersion {}

object specific version Object specific version, has to be set to 0 unless stated otherwise in the description of a specific event.

Author

Generated automatically by Doxygen for Vector BLF from the source code.